/**
Clase EditorInternalFrame
@author Diego Gonzalez
@author José Ignacio Guerra
@author Patricio Valle
*/

   import java.awt.*;
   import javax.swing.*;
   import java.net.*;
   import java.applet.*;


/**
Clase que implementa EditorInternalFrame
*/
    public class EditorInternalFrame extends JInternalFrame
   {
   
   /**
   Metodo que implmenta EditorInternalFrame
   @param applet recibe como parametro tipo applet
   */
       public EditorInternalFrame(JApplet applet, AppletContext context)
      {
         super("Mapa Interactivo", true, false, true, true);
         Container contentPane = getContentPane();
      
         Dibujo dibujo = new Dibujo(context, contentPane);
         dibujo.setApplet(applet);
         dibujo.setBounds(CERO, CERO, VERTICAL, HORIZONTAL);
         JMenuBar menuBar = new MiMenuBarApplet(dibujo, applet);
         setJMenuBar(menuBar);
         contentPane.add(dibujo);
         pack();
      }
    
   /**
   Atributos publicos constantes
   */
      public static final int VERTICAL = 900;
      public static final int HORIZONTAL = 800;
      public static final int CERO = 0;
   
   }
